> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an image generation job



## OpenAPI

````yaml /api/openapi.yaml get /v1/image-generations/{job_id}
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /v1/image-generations/{job_id}:
    get:
      tags:
        - Images
      summary: Get an image generation job
      operationId: getImageGeneration
      parameters:
        - $ref: '#/components/parameters/JobId'
      responses:
        '200':
          description: Image job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationJob'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth:
            - images:read
components:
  parameters:
    JobId:
      in: path
      name: job_id
      required: true
      schema:
        type: string
  schemas:
    GenerationJob:
      type: object
      required:
        - id
        - object
        - status
        - credits_reserved
        - created_at
        - assets
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - image_generation_job
            - video_generation_job
            - talking_avatar_job
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - failed
            - canceled
        progress_percent:
          type: integer
          minimum: 0
          maximum: 100
          nullable: true
        credits_reserved:
          type: integer
        credits_used:
          type: integer
          nullable: true
        credits_refunded:
          type: integer
          default: 0
        request:
          type: object
          additionalProperties: true
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
        failure_code:
          type: string
          nullable: true
        failure_message:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        failed_at:
          type: string
          format: date-time
          nullable: true
    Asset:
      type: object
      required:
        - id
        - object
        - type
        - url
        - mime_type
      properties:
        id:
          type: string
        object:
          type: string
          const: asset
        type:
          type: string
          enum:
            - image
            - audio
            - video
        url:
          type: string
          format: uri
        mime_type:
          type: string
        size_bytes:
          type: integer
        duration_seconds:
          type: number
          nullable: true
        width:
          type: integer
          nullable: true
        height:
          type: integer
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
    ErrorEnvelope:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - request_id
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
            details:
              type: object
              additionalProperties: true
  responses:
    NotFound:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````